#!/bin/ksh
# Copyright 2004 Sun Microsystems, Inc.	 All rights reserved.
# Use is subject to license terms.
#
# ident	 "@(#)dataBackup.ksh.m4    1.2    04/10/21     SMI"
#
#
#  This program is used to back up the data file of the 6x20 provider if it
#  exists in the expected location.
#
#############################################################################
#
#  Function for determining the existence of the .data file on the host
#
#  Arguments:
#
#  Return Value:		0	Found .data file  
#				1	Did not find .data file
#
#############################################################################
getDataFile () {

    if [ -f /opt/se6x20/data ]
    then
        return 0
    else
        return 1
    fi
    return 1
}

JAVACMD="java"
JAVAOPTS="com.sun.netstorage.array.mgmt.tools.TransferPassword"
JAVADEBUG="-Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,address=5100,server=y"
CLASSPATH=$CLASSPATH:/opt/wsi/lib/wbem.jar:/opt/wsi/server/jws/lib/cimrmicpa.jar:/opt/se6x20/tools/ProviderTestsT4.jar:/opt/se6x20/lib/UtilsJavaxWbem.jar:/opt/se6x20/lib/SunStorEdge_6120ArrayProvider.jar:/opt/se6x20/tools/se6x20Utils.jar
export CLASSPATH
LOGFILE="crypto"
doEncode () {
DATAFILE=`getDataFile`
if [ $? -eq 0 ]
then 
    if [ -f /opt/se6x20/.providerkeystore ]
    then
	mv /opt/se6x20/.providerkeystore /opt/se6x20/.providerkeystore.bak 2>/dev/null
	/opt/se6x20/bin/init.wbem_only stop 2>/dev/null
    fi
    $JAVACMD $JAVAOPTS "encode"
    if [ $? -ne 0 ] 
    then 
	return 1
    fi
fi
return 0
}

doUnEncode () {
DATAFILE=`getDataFile`
if [ $? -eq 0 ]
then 
    $JAVACMD $JAVAOPTS "unencode" 
    if [ $? -ne 0 ] 
    then 
	return 1
    fi
    if [ -f /opt/se6x20/.providerkeystore ]
    then
	mv /opt/se6x20/.providerkeystore /opt/se6x20/.providerkeystore.bak 2>/dev/null
	/opt/se6x20/bin/init.wbem_only stop 2>/dev/null
    fi
fi
return 0
}


if [ $# -eq 1 ]
then 
    if [ $1 = encode ]
    then
        RESULT=`doEncode`
    elif [ $1 = unencode ]
    then
	RESULT=`doUnEncode`
    fi
fi
exit $RESULT
	

